<?php
/* -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
--	MySQLi Database Conf
-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- */



/* 连接MySQLi */
function funcDbMySQLiConnect($conf){
	if(!$conf)return false;
	try{
		$db = mysqli_connect($conf['host'], $conf['user'], $conf['pswd'], $conf['data']);	
		if(!$db){
			die(mysqli_connect_error());
		}
		$db->query("set names 'utf8'"); //编码转化

		return array('object' => $db, 'function' => $conf['function']);
	}catch(Exception $e){
		return false;
	}
}

/* Select 返回 rs */
function funcDbMySQLiSelect($conn, $sql){
	try{
		$rs = mysqli_query($conn, $sql, MYSQLI_STORE_RESULT);
		return funcDbMySQLiFetchAssoc($rs);
	}catch(Exception $e){
		return $E->getMessage();
	}
}

/* Insert 返回 true|false */
function funcDbMySQLiInsert($conn, $sql){
	try{
		return (mysqli_query($conn, $sql)) ? true : false;
	}catch(Exception $E){
		return $E->getMessage();
	}
}

/* InsertId 返回 insert_id */
function funcDbMySQLiInsertId($conn, $sql){
	try{
		if(mysqli_query($conn, $sql)){
			return mysqli_insert_id($conn);
		}else{
			return false;
		}
	}catch(Exception $E){
		return false;
	}
}

/* Update 返回 true|false */
function funcDbMySQLiUpdate($conn, $sql){
	try{
		return (mysqli_query($conn, $sql)) ? true : false;
	}catch(Exception $E){
		return $E->getMessage();
	}
}

/* Delete 返回 true|false */
function funcDbMySQLiDelete($conn, $sql){
	try{
		return (mysqli_query($conn, $sql)) ? true : false;
	}catch(Exception $E){
		return $E->getMessage();
	}
}

/* FetchAssoc 返回 array */
function funcDbMySQLiFetchAssoc($rs){
	try{
		$result = array();
		if($rs){
			$i = 0;
			while($row = mysqli_fetch_assoc($rs)){
				$result[$i] = $row;
				$i++;
			}
			mysqli_free_result($rs);
		}
		return $result;
	}catch(Exception $E){
		return false;
	}
}

/* FetchNum 返回 Num */
function funcDbMySQLiFetchNum($rs){
	try{
		$result = array();
		if($rs){
			$i = 0;
			while($row = mysqli_fetch_array($rs, MYSQLI_NUM)){
				$result[$i] = $row;
				$i++;
			}
			mysqli_free_result($rs);
		}
		return $result;
	}catch(Exception $E){
		return false;
	}
}

/* 关闭连接MySQLi */
function funcDbMySQLiClose($conn){
	try{
		return (mysqli_close($con)) ? true : false;
	}catch(Exception $E){
		return false;
	}
}

/* Query 返回 结果 */
function funcDbMySQLiQuery($conn, $sql){
	try{
		return mysqli_query($conn, $sql, MYSQLI_STORE_RESULT);
	}catch(Exception $e){
		return $E->getMessage();
	}
}
?>